Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Manage filtered accounts by portfolio

Adds accounts in bulk to a portfolio.

The required id path parameter and datasource query parameter identify a portfolio.

Parameters specified in the body of the request enable you to identify accounts to add to the portfolio.

{
    "selectAll": false,
    "markedAccounts": [
        45,
        46,
        47
    ],
    "queryFilter": "",
    "manageExistingAccounts": false 
}
Path Params
int32
required
≥ 1

ID number of the portfolio.

Query Params
string
required

Name of the EDM.

Body Params
boolean

If true, adds all accounts selected by the specified queryFilter parameter. If no queryFilter parameter is specified, all accounts are added to the portfolio. Overrides markedAccounts parameter.

string

Filter expression to select accounts to add to the portfolio.

markedAccounts
array of int32s

List of accounts to be added to the portfolio.

markedAccounts
boolean

If true, only existing accounts may be specified. All markedAccount values are ignored. All queryFilter values are ignored.

Responses
202

Accepted: A job with the specified ID has been added to the workflow engine queue for processing. Send periodic HTTP GET requests to the URI for the job status. See Workflow Engine Jobs.

Language
Credentials
URL
Response
Choose an example:
application/json